#ifndef EPSPOLYGON_H
#define EPSPOLYGON_H

#include <ncurses.h>

#include "EpsObject.h"
#include "EpsColor.h"
#include "EpsCoordinateList.h"
#include "EpsLine.h"

class EpsPolygon : public EpsObject,
  public EpsColor,
  public EpsCoordinateList
{
public:
  EpsPolygon();
  virtual ~EpsPolygon();

  void Draw(WINDOW* w, int eps_xres,int eps_yres);
  void DrawFill(WINDOW* w, int eps_xres,int eps_yres);
  void DrawString(WINDOW* w, int eps_xres,int eps_yres);

  bool GetFill();
  double GetRotation();
  std::string GetTitle();
  void SetRotation(double r);
  void SetFill(bool fill);
  void SetTitle(std::string s);

  friend std::ostream& operator<<(std::ostream& os, const EpsPolygon* ep);

protected:
public:
  bool testInsidePolygon(int x, int y, int eps_xres,int eps_yres);
  int testCrossLines(int x, int y, int x1, int y1, int x2, int y2, int eps_xres,int eps_yres);

  std::string m_sTitle;
  double m_dRotation;
  bool m_bFill;
};

extern void correct_string(std::string* s);
std::ostream& operator<<(std::ostream& os, EpsPolygon* ep);

#endif //EPSPOLYGON_H
