//////////////////////////////////////
// author : Dirk Duschinger         //
// email  : dirk.duschigner@cern.ch //
//////////////////////////////////////

#include "EpsDrawToTerm.h"

void quit()
{
  endwin();
}

void initcursescolors()
{
  for (short f=0; f!=8; f++)
  {
    for (short b=0; b!=8; b++)
    {
      if ((f == 0) and (b == 0))
        continue;
      init_pair(f+b*8, f, b);
    }
  }
}


int main(int argc, const char* argv[])
{
  if (argc!=2)
  {
    std::cout<<"EpsDrawToTerm requires exacly one parameter, given parameters: "<<argc-1<<"\n";
    return 1;
  }

  EpsParser* ep = new EpsParser(argv[1]);
  initscr();
  int CursesYRes, CursesXRes;
  getmaxyx(stdscr, CursesYRes, CursesXRes);

  if (has_colors())
  {
    start_color();
    initcursescolors();
  }
  WINDOW* Panel = subwin(stdscr,CursesYRes, CursesXRes,0,0);

  ep->Draw(Panel);
  wrefresh(Panel);
  refresh();
  atexit(quit);
  getch();

  endwin();
  return 0;
}
